<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Yaatra
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

get_header();

/**
 * hook - yaatra_before_page_content
 * 
 * @hooked - yaatra_inner_pages_header_element - 10
 *
 * @since 1.1.0
 */
do_action( 'yaatra_before_page_content' );

?>
<div class="cv-content-wrapper">

	<?php get_sidebar( 'left' ); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main">

		<?php
		while ( have_posts() ) :
			the_post();

			get_template_part( 'template-parts/content', 'page' );

			// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;

		endwhile; // End of the loop.
		?>

		</main><!-- #main -->
	</div><!-- #primary -->

	<?php get_sidebar(); ?>

</div><!-- .cv-content-wrapper -->

<?php
	/**
	 * hook - yaatra_after_page_content
	 *
	 * @since 1.1.0
	 */
	do_action( 'yaatra_after_page_content' );
	
	get_footer();
